textures/gbattleships/e6supp_redanim
{
	qer_editorimage textures/evil6_ctf/e6simpwallsupp_red.tga
        surfaceparm nomarks
	surfaceparm slick
	q3map_surfacelight 250
	{
		animmap 5 textures/evil6_ctf/e6simpwallsupp_red.tga textures/evil6_walls/e6simpwallsupp.tga textures/evil6_walls/e6simpwallsupp.tga textures/evil6_ctf/e6simpwallsupp_red.tga textures/evil6_walls/e6simpwallsupp.tga textures/evil6_ctf/e6simpwallsupp_red.tga textures/evil6_walls/e6simpwallsupp.tga 
	}
}

textures/gbattleships/e6supp_blueanim
{
        qer_editorimage textures/evil6_ctf/e6simpwallsupp_blue.tga	
        surfaceparm nomarks
	surfaceparm slick
	q3map_surfacelight 250
	{
		animmap 5 textures/evil6_ctf/e6simpwallsupp_blu.tga textures/evil6_walls/e6simpwallsupp.tga textures/evil6_walls/e6simpwallsupp.tga textures/evil6_ctf/e6simpwallsupp_blu.tga textures/evil6_walls/e6simpwallsupp.tga textures/evil6_ctf/e6simpwallsupp_blu.tga textures/evil6_walls/e6simpwallsupp.tga 
	}
}

textures/gbattleships/e6grate2_flr_notrans
{
	qer_editorimage textures/evil6_floors/e6grate2_flr.tga
	surfaceparm metalsteps

	{
           map textures/evil6_floors/e6grate2_flr.tga
	}
}

textures/gbattleships/e6basegratered_wavescroll
{
	qer_editorimage textures/evil6_ctf/e6basegrate_red.tga
	surfaceparm nomarks
        q3map_surfacelight 150
	{
		map textures/evil6_ctf/e6basegrate_red.tga
		rgbGen wave sin 1 1 0 2 
		tcMod scroll -0.2 0
	}
}

textures/gbattleships/e6basegrateblue_wavescroll
{
	qer_editorimage textures/evil6_ctf/e6basegrate_blue.tga
	surfaceparm nomarks
        q3map_surfacelight 150
	{
		map textures/evil6_ctf/e6basegrate_blue.tga
		rgbGen wave sin 1 1 0 2 
		tcMod scroll -0.2 0
	}
}

//----
//---
//--
//All shaders below this line were coded by evil lair. All shaders above this line were coded by $p4mm4ge [X]
//--
//---
//----

textures/evil6_trims/e6strimlight_s_nolight
{
	qer_editorimage textures/evil6_trims/e6strimlight.tga
	surfaceparm nomarks

	{
		map textures/evil6_trims/e6strimlight.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/evil6_trims/e6strimlight_blend.tga
		blendfunc add
	}
}

textures/evil6_floors/e6launchcfloor_s
{
	qer_editorimage textures/evil6_floors/e6launchcfloor.tga
	q3map_lightimage textures/evil6_floors/e6launchcfloor_glow.tga
	q3map_surfacelight 400
	surfaceparm nomarks

	{
		map textures/evil6_floors/e6launchcfloor.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/evil6_floors/e6launchcfloor_glow.tga
		blendfunc add
		rgbgen wave sin .5 .8 0 1.5
	}
	{
		clampmap textures/evil6_floors/e6launchcfloor_fx.tga
		blendfunc add
		tcMod stretch sin 1.2 .9 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/evil6_walls/e6tdoor 
{         
        qer_editorimage textures/evil6_walls/e6tdoor.tga 
        
        { 
                map textures/evil6_walls/e6tdoor.tga 
        } 
        { 
                map textures/evil6_walls/e6tdoor_fx.tga  
                tcmod scroll -1 0  
                blendFunc add 
        } 
        { 
                map textures/evil6_walls/e6tdoor.tga 
                blendFunc blend
        } 
        { 
                map $lightmap 
                blendFunc filter
        } 
}

textures/evil6_walls/e6indsdoor_s
{
	qer_editorimage textures/evil6_walls/e6indsdoor.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

	{
		map textures/evil6_walls/e6indsdoor.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

textures/evil6_support/e6h_support_s
{
	qer_editorimage textures/evil6_support/e6h_support.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

	{
		map textures/evil6_support/e6h_support.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

textures/evil6_lights/e6horzovallight_s_nolight
{
	qer_editorimage textures/evil6_lights/e6horzovallight.tga
	//q3map_surfacelight ?
	surfaceparm nomarks
	
	{
		map textures/evil6_lights/e6horzovallight.tga
	}
	{
		map textures/evil6_lights/e6horzovallight_blend.tga
		blendfunc add
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
	}
}

textures/evil6_lights/e6v_light_s_nolight
{
	qer_editorimage textures/evil6_lights/e6v_light.tga
	//q3map_surfacelight ?
	surfaceparm nomarks
	
	{
		map textures/evil6_lights/e6v_light.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/evil6_lights/e6v_light_blend.tga
		blendfunc add
	}
}

textures/evil6_support/e6vertgrt_supp_s_nolight
{
	qer_editorimage textures/evil6_support/e6vertgrt_supp.tga
	q3map_lightimage textures/evil6_support/e6vertgrt_supp_fx.tga
	surfaceparm nomarks

	{
		map textures/evil6_support/e6vertgrt_supp.tga
	}
	{
		map textures/evil6_support/e6vertgrt_supp_fx.tga
		tcmod scroll 0 2
		blendfunc add
	}
	{
		map textures/evil6_support/e6vertgrt_supp.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
	}
}

textures/evil6_floors/e6tekmtlrflr_h_full_slow
{
	qer_editorimage textures/evil6_floors/e6tekmtlrflr_h.tga

	{
		map textures/evil6_floors/e6tekmtlrflr_h.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/evil6_floors/e6tekmtlrflr_h_glow.tga
		rgbgen wave sin .5 .5 0 .2
		blendfunc add
	}
}